>From 24ee915c347823faebed505aacb1050ed894eb8b Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Sun, 19 Jul 2015 15:18:19 -0700
Subject: [PATCH] Pacify gcc -Wformat-security

* zic.c (outzone): Add "%s" to pacify GCC.
---
 zic.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/zic.c b/zic.c
index 96ab0e7..6854033 100644
--- a/zic.c
+++ b/zic.c
@@ -2380,11 +2380,11 @@ outzone(const struct zone * const zpfirst, const int zonecount)
 					    _("two rules for same instant");
 					  eats(zp->z_filename, zp->z_linenum,
 					       rp->r_filename, rp->r_linenum);
-					  warning(dup_rules_msg);
+					  warning("%s", dup_rules_msg);
 					  rp = &zp->z_rules[k];
 					  eats(zp->z_filename, zp->z_linenum,
 					       rp->r_filename, rp->r_linenum);
-					  error(dup_rules_msg);
+					  error("%s", dup_rules_msg);
 					}
 				}
 				if (k < 0)
-- 
2.1.4

